restored_client_free
restored_client_new
restored_client_set_label
restored_client_t
restored_error_t
restored_get_value
restored_goodbye
restored_query_type
restored_query_value
restored_reboot
restored_receive
restored_send
restored_start_restore

## restored_query_value()

LIBIMOBILEDEVICE_API restored_error_t restored_query_value | ( | restored_client_t | client,
|  | const char * | key,
|  | plist_t * | value )

Queries a value from the device specified by a key.

Parameters

  client | An initialized restored client.
  key | The key name to request
  value | A plist node representing the result value node

Returns
  RESTORE_E_SUCCESS on success, RESTORE_E_INVALID_ARG when client is NULL, RESTORE_E_PLIST_ERROR if value for key can't be found